Bug 1474694 - Review Request: libcbor - C library for parsing and generating CBOR
Review Request: libcbor - C library for parsing and generating CBOR
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radovan Sroka
Fedora Extras Quality Assurance
:
: 1420336 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 03:31 EDT by Marek Tamaskovic
Modified: 2017-10-06 00:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rsroka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marek Tamaskovic 2017-07-25 03:31:55 EDT
Repo: https://copr.fedorainfracloud.org/coprs/mtamasko/libcbor/
Description: I created a libcbor package and I would like to get some reviews on it.
Fedora Account System Username: mtamasko
Comment 1 Radovan Sroka 2017-07-26 05:34:03 EDT
Link to repo is not sufficient. 

Your comment should contain at least:

...
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <description here>
Fedora Account System Username: 
...

fedora-review tool needs to parse those fields.
After each update you need to provide new URLs in last comment.
Comment 2 Jiří Vymazal 2017-07-26 07:39:54 EDT
*** Bug 1420336 has been marked as a duplicate of this bug. ***
Comment 3 Marek Tamaskovic 2017-07-26 08:08:10 EDT
Spec URL: https://pagure.io/libcbor_review/raw/master/f/libcbor.spec
SRPM URL: https://pagure.io/libcbor_review/raw/master/f/libcbor-0.5.0-1.fc26.src.rpm
Description: Libcbor is a C library for parsing and generating CBOR, the general-purpose schema-less binary data format.
Fedora Account System Username: mtamasko
Comment 4 Robert-André Mauchin 2017-07-26 11:00:41 EDT
Hello,

A few notes regarding your SPEC:

- SOURCE0 should point to the URL of the archive. For example in your case,
 SOURCE0: https://github.com/PJK/libcbor/archive/v%{version}.tar.gz#/${name}-%{version}.tar.gz

 - you can use rpm macros for cp and mkdir -p:
   - cp → %{__cp}
   - mkdir -p → %{__mkdir_p}

 - %setup -q is fine but note that you can also use %autosetup . It patches the source automatically if you ever need patch.

 - I would put the %cmake macro in %build, not %prep 

 - These BR are not needed: gcc gcc-c++
   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

 - I would repeat you short description in the -devel package too:

"libcbor is a C library for parsing and generating CBOR.

The %{name}-devel contains libraries and header files for %{name}."

 - The "Group:" tag should not be used. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

Thank you
Comment 5 Marek Tamaskovic 2017-07-27 04:02:05 EDT
Updated
Comment 6 Robert-André Mauchin 2017-07-27 04:36:28 EDT
 - "Source1:	libcbor-%{version}.tar.gz" is not needed, only SOUrCE0 as I described.

 - Please remove the quotes "" around -devel description

Otherwise it looks fine.
Comment 7 Marek Tamaskovic 2017-07-27 04:41:32 EDT
Update.
Comment 8 Robert-André Mauchin 2017-07-27 06:10:15 EDT
One last thing, although not mandatory, you should replace "make %{?_smp_mflags}" with the "%make_build" macro.

Otherwise, it's all good. It just needs to be officially approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     438 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/libcbor/review-libcbor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/cbor/internal, /usr/include/cbor
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/cbor/internal,
     /usr/include/cbor
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libcbor-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: libcbor-0.5.0-1.fc27.x86_64.rpm
          libcbor-devel-0.5.0-1.fc27.x86_64.rpm
          libcbor-debuginfo-0.5.0-1.fc27.x86_64.rpm
          libcbor-0.5.0-1.fc27.src.rpm
libcbor.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libcbor.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libcbor-devel.x86_64: W: only-non-binary-in-usr-lib
libcbor-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libcbor-debuginfo-0.5.0-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Marek Tamaskovic 2017-07-27 08:02:29 EDT
Update.
-make macro
Comment 10 Radovan Sroka 2017-07-27 08:06:36 EDT
Giving fedora_review flag+.
Comment 11 Fedora Update System 2017-10-05 03:38:00 EDT
libcbor-0.5.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c38598bde8
Comment 12 Fedora Update System 2017-10-05 03:38:39 EDT
libcbor-0.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-33b4a3bcef
Comment 13 Fedora Update System 2017-10-05 03:39:20 EDT
libcbor-0.5.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc391a2c53
Comment 14 Fedora Update System 2017-10-05 23:23:34 EDT
libcbor-0.5.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc391a2c53
Comment 15 Fedora Update System 2017-10-05 23:26:39 EDT
libcbor-0.5.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33b4a3bcef
Comment 16 Fedora Update System 2017-10-06 00:29:19 EDT
libcbor-0.5.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c38598bde8

Note You need to log in before you can comment on or make changes to this bug.